summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author B. Watson2020-11-20 15:42:07 +0100
committer Willy Sudiarto Raharjo2020-11-21 19:14:19 +0100
commitacfa7a4e466a91f191f83d268c92bcb034519e74 (patch)
tree37a4d18354328245fafd9e96edfcf5cfdd0a3edd /network
parentd54c49f734260c37136169b42076c0cb8055af56 (diff)
downloadslackbuilds-acfa7a4e466a91f191f83d268c92bcb034519e74.tar.gz
network/xaric: Added (simple colorful IRC client)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/xaric/README5
-rw-r--r--network/xaric/doinst.sh13
-rw-r--r--network/xaric/slack-desc19
-rw-r--r--network/xaric/xaric.SlackBuild95
-rw-r--r--network/xaric/xaric.desktop55
-rw-r--r--network/xaric/xaric.info10
6 files changed, 197 insertions, 0 deletions
diff --git a/network/xaric/README b/network/xaric/README
new file mode 100644
index 0000000000..ec0d41cd8f
--- /dev/null
+++ b/network/xaric/README
@@ -0,0 +1,5 @@
+xaric (simple colorful IRC client)
+
+Xaric is a UNIX irc client similar to (and forked from) BitchX and
+ircII. The purpose of xaric is to remove all of the bogus, broken crap
+and silly features from BitchX and have a nice colorful client.
diff --git a/network/xaric/doinst.sh b/network/xaric/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/network/xaric/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/xaric/slack-desc b/network/xaric/slack-desc
new file mode 100644
index 0000000000..adabe1fb53
--- /dev/null
+++ b/network/xaric/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xaric: xaric (simple colorful IRC client)
+xaric:
+xaric: Xaric is a UNIX irc client similar to (and forked from) BitchX and
+xaric: ircII. The purpose of xaric is to remove all of the bogus, broken crap
+xaric: and silly features from BitchX and have a nice colorful client.
+xaric:
+xaric:
+xaric:
+xaric:
+xaric:
+xaric:
diff --git a/network/xaric/xaric.SlackBuild b/network/xaric/xaric.SlackBuild
new file mode 100644
index 0000000000..7172934bd3
--- /dev/null
+++ b/network/xaric/xaric.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for xaric
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=xaric
+VERSION=${VERSION:-0.13.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+sed -i 's,/usr/local,/usr,' $PRGNAM.1
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+gzip $PKG/usr/man/man1/$PRGNAM.1
+
+# .desktop file ripped off (from hexchat.desktop) by SlackBuild
+# author. Normally I don't do these for purely console applications,
+# but upstream provided a nice icon, so might as well make use of it.
+mkdir -p $PKG/usr/share/applications $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cp -a $PRGNAM.xpm $PKG/usr/share/pixmaps
+for i in 16 32 48; do
+ dir=$PKG/usr/share/icons/${i}x${i}/apps
+ mkdir -p $dir
+ convert $PRGNAM.xpm -resize ${i}x${i}! $dir/$PRGNAM.png
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Don't need 2 copies of the GPL
+rm -f $PKG/usr/share/$PRGNAM/help/copying
+ln -s ../../../doc/$PRGNAM-$VERSION/COPYING $PKG/usr/share/$PRGNAM/help/copying
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/xaric/xaric.desktop b/network/xaric/xaric.desktop
new file mode 100644
index 0000000000..d8bafcd7c5
--- /dev/null
+++ b/network/xaric/xaric.desktop
@@ -0,0 +1,55 @@
+[Desktop Entry]
+Name=Xaric
+GenericName=IRC Client
+Comment=Chat with other people online
+Comment[ca]=Parla amb altres persones en línia.
+Comment[cs]=Chatujte online s ostatními lidmi
+Comment[da]=Chat med andre personer online
+Comment[de]=Online mit anderen Menschen chatten
+Comment[en_GB]=Chat with other people online
+Comment[es]=Chatea con otras personas en línea
+Comment[et]=Vestle teiste kasutajatega internetis
+Comment[fi]=Keskustele muiden kanssa verkossa
+Comment[fr]=Parlez avec d'autres personnes en ligne
+Comment[id]=Mengobrol dengan orang lain daring
+Comment[it]=Chiacchiera con altri utenti online
+Comment[ja_JP]=他の人とオンラインチャットをします
+Comment[ko]=온라인에 있는 사람들과 대화합니다
+Comment[lt]=Kalbėkite su kitais prisijungusiais žmonėmis
+Comment[nb]=Prat med andre folk på nettet
+Comment[pl]=Rozmawiaj z innymi ludźmi przez internet
+Comment[pt]=Conversa com outras pessoas online
+Comment[pt_BR]=Converse com outras pessoas na rede
+Comment[sq]=Bisedoni në linjë me persona të tjerë
+Comment[sr]=Ћаскајте са пријатељима онлајн
+Comment[sv]=Chatta med andra människor online
+Comment[zh_CN]=与其他人在线聊天
+Keywords=IM;Chat;
+Keywords[ca]=MI;Xat;
+Keywords[da]=IM;Chat;
+Keywords[de]=IM;Chat;
+Keywords[en_GB]=IM;Chat;
+Keywords[es]=IM;Chat;
+Keywords[eu]=IM;Chat;Txat;
+Keywords[fi]=IM;Chat;pikaviestin;keskustelu;
+Keywords[fr]=IM;Chat;
+Keywords[id]=IM;Obrolan;
+Keywords[it]=IM;Chat;Messaggistica Istantanea;IRC;
+Keywords[ko]=IM;인스턴트 메신저;Chat;대화;
+Keywords[lt]=IM;Pokalbiai;
+Keywords[nb]=IM;Chat;
+Keywords[pl]=IM;Chat;
+Keywords[pt]=IM;Chat;
+Keywords[pt_BR]=IM;Chat;
+Keywords[ru]=IM;Чат;
+Keywords[sq]=IM;Fjalosje;
+Keywords[sr]=ИМ;Ћаскање;
+Keywords[sv]=IM;Chatt;
+Keywords[zh_CN]=IM;聊天;
+Exec=xaric
+Icon=xaric
+Terminal=true
+Type=Application
+Categories=Network;IRCClient;
+StartupNotify=false
+MimeType=x-scheme-handler/irc;x-scheme-handler/ircs;
diff --git a/network/xaric/xaric.info b/network/xaric/xaric.info
new file mode 100644
index 0000000000..2472aa7845
--- /dev/null
+++ b/network/xaric/xaric.info
@@ -0,0 +1,10 @@
+PRGNAM="xaric"
+VERSION="0.13.7"
+HOMEPAGE="https://xaric.org/"
+DOWNLOAD="http://xaric.org/software/xaric/releases/xaric-0.13.7.tar.gz"
+MD5SUM="46f4460dfab17819dd6d7e543be75206"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"